> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralfactory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sharepoint Datasource

> API key permission: Knowledge Base (Admin also opens it).



## OpenAPI

````yaml /api-reference/openapi.json put /datasources/sharepoint/update/{datasource_id}
openapi: 3.1.0
info:
  title: Neural Factory API
  version: 0.1.0
  description: >-
    The endpoints a program can call with an API key. Exchange the key's secret
    for a token at POST /apikeys/token and send it as a Bearer token.
servers:
  - url: https://api.neuralfactory.ai
    description: SaaS
  - url: https://{apiHost}
    description: 'Enterprise: the API address of your own deployment'
    variables:
      apiHost:
        default: api.example.com
        description: Your deployment's API host
security:
  - bearerAuth: []
tags:
  - name: API keys
  - name: Chat
  - name: Runs
  - name: Agents
  - name: Workflows
  - name: Schedules
  - name: Knowledge bases
  - name: Documents
  - name: Search
  - name: Skills
  - name: Toolkits
  - name: Files
  - name: Interactions
  - name: Usage and billing
  - name: Catalogue
  - name: Browser
  - name: Users
  - name: Groups
  - name: Builds
paths:
  /datasources/sharepoint/update/{datasource_id}:
    put:
      tags:
        - Knowledge bases
      summary: Update Sharepoint Datasource
      description: 'API key permission: Knowledge Base (Admin also opens it).'
      operationId: >-
        update_sharepoint_datasource_datasources_sharepoint_update__datasource_id__put
      parameters:
        - name: datasource_id
          in: path
          required: true
          schema:
            type: string
            title: Datasource Id
        - name: env
          in: query
          required: false
          schema:
            title: Env
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SharePointDatasourceUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SharePointDatasourceUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        sync_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sync Enabled
        sync_interval:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sync Interval
        cron_expression:
          anyOf:
            - type: string
            - type: 'null'
          title: Cron Expression
        sync_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Sync Config
        credentials:
          anyOf:
            - $ref: '#/components/schemas/SharePointCredentialsUpdate'
            - type: 'null'
      type: object
      title: SharePointDatasourceUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SharePointCredentialsUpdate:
      properties:
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret
        tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Id
        site_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Site Url
        drive_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Drive Name
        folder_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Folder Paths
      type: object
      title: SharePointCredentialsUpdate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        The access_token returned by POST /apikeys/token for an API key's
        secret.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.